net.sf.cpsolver.exam.reports

## Class ExamRoomComparator

- java.lang.Object
- - net.sf.cpsolver.exam.reports.ExamRoomComparator

- All Implemented Interfaces:
    Comparator<ExamRoomPlacement>

      public class ExamRoomComparator
      extends Object
      implements Comparator<ExamRoomPlacement>

  Compare two rooms by size. Either normal seating size or alternative sating size is used, based on the given exam (see `Exam.hasAltSeating()`.
  Version:
    ExamTT 1.2 (Examination Timetabling)
    Copyright (C) 2008 - 2010 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExamRoomComparator(Exam exam, boolean asc)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(ExamRoomPlacement r1, ExamRoomPlacement r2)` Compare two rooms based on their normal/alternative seating size

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### ExamRoomComparator

          public ExamRoomComparator(Exam exam,
                                    boolean asc)

      Constructor
      Parameters:
        `exam` - exam for which rooms are to be compared

  - ### Method Detail

    - #### compare

          public int compare(ExamRoomPlacement r1,
                             ExamRoomPlacement r2)

      Compare two rooms based on their normal/alternative seating size
      Specified by:
        `compare` in interface `Comparator<ExamRoomPlacement>`